<p align="left">
  <a href="https://www.opengeekslab.com">
    <img
      src="https://raw.githubusercontent.com/openGeeksLab/react-native-expanding-collection-view/develop/header_github_Exp.png?token=ADh7RWjhp-DnLybg8SD_9PSSCyoM_AK5ks5bs4dEwA%3D%3D"
      width="100%"
      title="openGeeksLab"
    />
  </a>
</p>

<a href="http://developer.apple.com" rel="nofollow"><img  alt="iOS" src="https://img.shields.io/badge/platform-iOS-brightgreen.svg" style="max-width:100%;"></a> <a href="https://www.android.com" rel="nofollow"><img src="https://img.shields.io/badge/platform-Android-brightgreen.svg" alt="iOS" data-canonical-src=" https://img.shields.io/badge/platform-Android-brightgreen.svg" style="max-width:100%;"></a>
<a href="https://github.com/openGeeksLab/react-native-expanding-collection-view">
  <img
    src="https://img.shields.io/badge/npm-compatible-green.svg"
    alt="npm compatible"
    data-canonical-src="https://img.shields.io/badge/npm-compatible-green.svg" style="max-width:100%;"
  />
</a>
<a href="http://twitter.com/openGeeksLab" rel="nofollow">
  <img
    src="https://img.shields.io/badge/Twitter-@openGeeksLab-blue.svg"
    alt="Twitter"
    data-canonical-src="https://img.shields.io/badge/Twitter-@openGeeksLab-blue.svg?style=flat"
    style="max-width:100%;"
  />
</a>
<a href="http://facebook.com/openGeeksLab/">
  <img
    src="https://img.shields.io/badge/facebook-us-blue.svg"
    alt="Facebook"
    data-canonical-src="https://img.shields.io/badge/facebook-us-blue.svg"
    style="max-width:100%;"
  />
</a>
<a href="https://medium.com/@openGeeksLab">
  <img
    src="https://img.shields.io/badge/Medium-story-brightgreen.svg"
    alt="Medium"
    data-canonical-src="https://img.shields.io/badge/Medium-story-brightgreen.svg"
    style="max-width:100%;"
  />
</a>

<img
  width="50%"
  height="50%"
  style="max-width:100%;"
  src="https://raw.githubusercontent.com/openGeeksLab/docs/master/expanding-collection.gif"
  data-canonical-src="https://raw.githubusercontent.com/openGeeksLab/docs/master/expanding-collection.gif"
/>

# About
Our company provides custom UI design and development solutions for mobile applications and websites.

Need a team to create a project?

This project is developed and maintained by <a href="https://www.openGeeksLab.com">openGeeksLab LLC.</a>

<a href="mailto:info@opengeekslab.com?subject=Project%20inquiry%20from%20Github">
<img src="https://raw.githubusercontent.com/openGeeksLab/docs/master/contact_our_team.png" width="25%" height="25%" style="max-width:100%;"></a>

# react-native-expanding-collection-view

## Requirements
- React Native 0.50+
- iOS 9.0+
- Android 4.2+

## Installation
Just run:
- npm i react-native-expanding-collection-view

## Basic usage
For the work with the library you have to use the next parameters:  
  ```data``` - is the array of objects that contains the information required to display on the card.

 ```renderFrontCard``` - is the function that renders the front card. It should return the component that is used as a card and can get the parameters of ```itemData``` and ```animation```. ```itemData``` - is the data for this card. ```animation``` - is the animation for the card.  
```javascript

import AnimatedBackground from './backgroundImage';
  ...
renderFrontCard = (itemData, animation) => (
  <AnimatedBackground
    source={ itemData.img }
    imageStyle={styles.backgroundImage}
    style={{
     height: animation.interpolate({
       inputRange: treshholds,
       outputRange: [0, 1, 1],
     }),
     borderRadius: animation.interpolate({
       inputRange: treshholds,
       outputRange: [0, values.borderRadius, values.borderRadius],
     }),
    }}
  />
)
```

```renderBackCard``` - is the function that renders the back card. It should return the component that is used as a card or as the opened screen and can get the parameters of ```itemData``` and ```animation```.

```renderDescription``` -  is the function that renders the description at the bottom of the front card and can get the parameters of ```itemData``` and ```animation```. It should return a component that is used as a description and can get the parameters of data and animation.  

```inactiveSlideOpacity``` - is the transparency of the inactive card (from 0 to 1)  
```frontCardColor``` - is the color of the background of the front card.  
```backCardColor``` -  is the color of the background of the  back card.  

```javascript
  import ExpandingCollection from 'react-native-expanding-collection-view';

  ...

  <ExpandingCollection
    data={cities}
    cardBorder={30}
    frontCardColor={'transparent'}
    renderFrontCard={this.renderFrontCard}
    renderBackCard={this.renderBackCard}
    renderDescription={this.renderDescription}
  />
```

# Contact us if interested.
<a href="https://opengeekslab.com/contact-us/">
<img src="https://raw.githubusercontent.com/openGeeksLab/docs/master/contact_our_team.png" width="25%" height="25%" style="max-width:100%;"></a>

# Licence
Expanding is released under the MIT license.
